import request from "@/http/request";

const getConfigs = () => {
    return request.get('/config/getConfigs')
}

const updateConfig = (params) => {
    return request.post('/config/updateConfig', params)
}

const queryBoxConfig = (params) => {
    return request.post('/config/queryBoxConfig', params)
}

const queryBoxConfigByPage = (params) => {
    return request.post('/config/queryBoxConfigByPage', params)
}

const updateBoxConfig = (params) => {
    return request.post('/config/updateBoxConfig', params)
}

const addBoxConfig = (params) => {
    return request.post('/config/addBoxConfig', params)
}

const deleteBoxConfig = (params) => {
    return request.post('/config/deleteBoxConfig', params)
}

export {
    getConfigs,
    updateConfig,
    queryBoxConfig,
    queryBoxConfigByPage,
    updateBoxConfig,
    addBoxConfig,
    deleteBoxConfig
}